.emsi-table {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1rem;

    width: 100%; // This is default, but max-width is set in shortcode
    min-height: 200px;
    // padding-left: 0.5rem;
    // padding-right: 0.5rem;
    background: transparent;

    .careers-list-table {
        height: auto;
        max-height: $table_default_height;
        overflow-x: hidden;
        overflow-y: auto;
        background-color: #fff;

        &::-webkit-scrollbar {
            width: 0.4rem;
        }
        &::-webkit-scrollbar-track {
            background-color: transparent;
        } 

        &::-webkit-scrollbar-thumb {
            background-color: $primary-gray;
            border-radius: 1px;
        }

    } // .careers-list-table

    .tr {
        display: flex;

        &.table-hdr-row {
            background-color: $primary-color;
            box-sizing: content-box;

        }

        .tc {
            border-bottom: 1px solid $table_border_color;
            text-align: center;
            padding: 0.5rem;

            &.tc-head {
                position: relative;
                //background: $primary-dark;
                color: #fff;
                text-transform: uppercase;
                font-weight: 700;
                text-align: center;
                font-size: 18px;
                line-height: 20px;
                border: 0;

                display: flex;
                align-items: center;
                justify-content: center;

                &:first-of-type {
                    justify-content: flex-start;
                }

                @include desktop {
                    padding-right: 26px;
                }

                @include mobile {
                    font-size: 14px;
                }
            } // .tc-body

            &.tc-body {
                font-size: 20px;
                color: $primary-dark;
                padding: 1rem;
                transition: all 0.2s linear;

                @include tabletDown {
                    font-size: 14px;
                    padding: 0.5rem 0.25rem;
                }

            } // .tc-body

            &.tc-occupation {
                cursor: pointer;
                position: relative;
                transition: all 0.2s linear;
                border-right: 1px solid $table_border_color;
                line-height: 1.3;

                &:hover {
                    background-color: #efefee;

                    ~ .tc-body {
                        background-color: #efefee;
                    }
                }

                @include tabletDown {
                    display: flex;
                    align-items: center;
                }

                .plus-minus {
                    position: absolute;
                    left: 1rem;
                    top: 50%;
                    transform: translateY(-50%);

                    @include tabletDown {
                        left: 0.25rem;
                    }

                    &:before {
                        content: '\e61d';
                        font-family: IcoMoon;
                        font-size: 20px;
                        font-style: normal;
                        line-height: normal;
                        color: $secondary-color;

                        @include tabletDown {
                            font-size: 0.75rem;
                        }
                    }

                    // @include tabletDown {
                    //     left: 2px;
                    //     width: 8px;
                    //     height: 8px;
                    // }

                    // &:after,
                    // &:before {
                    //     content: '';
                    //     display: block;
                    //     height: 4px;
                    //     width: 100%;
                    //     position: absolute;
                    //     top: 50%;
                    //     left: 0;
                    //     transform: rotate(0) translateY(-50%);
                    //     transform-origin: center;
                    //     background-color: $secondary-color;
                    //     transition: all 0.2s ease-out;

                    //     @include tabletDown {
                    //         height: 3px;
                    //     }
                    // }

                    // &:before {
                    //     transform: rotate(90deg) translateY(0);
                    //     top: 7px;

                    //     @include tabletDown {
                    //         top: 3px;
                    //     }
                    // }
                } // .plus-minus

                &.dropdown-active {
                    .plus-minus:before {
                        content: '\e61c';
                    }
                } // &.dropdown-active

            } // .tc-occupation

            &.tc-earnings {
                display: flex;
                align-items: center;
                justify-content: center;
                border-right: 1px solid $table_border_color;
            }

            &.tc-openings {
                position: relative;

                .positive,
                .negative {
                    position: relative;
                    &:before {
                        font-family: "Font Awesome 5 Free";
                        font-weight: 900;
                        font-size: 15px;
                        padding-right: 4px;
                    }
                }

                .positive {
                    color: $secondary-color;

                    &:before {
                        content: '\f0d8';
                    }
                }

                .negative {
                    color: $tertiary-color;

                    &:before {
                        content: '\f0d7';
                    }
                }
            }

            &:first-of-type {
                padding-left: 50px;
                text-align: left;
                font-weight: 700;
                width: 50%;
                //border-right: 1px solid $table_border_color;

                @include tabletDown {
                    padding-left: 1.125rem;
                }
            }

            &:nth-last-of-type(2n) {
                @include tabletDown {
                    border-right: 0;
                }
            }

            &:nth-of-type(2n) {
                flex: 1 1 27%;
            }

            &:nth-of-type(3n) {
                flex: 1 1 23%;
            }

            &:last-of-type {
                @include tabletDown {
                    display: none;
                }
            }

        } // .tc

    } // .tr

}